Opened 12 years ago

Closed 11 years ago

#5274 closed patch (fixed)

commflagging from slave backend causes DB error

Reported by: hobbes1069@… Owned by: Shane Shrybman
Priority: minor Milestone: 0.21.1
Component: mythtv Version: 0.21-fixes
Severity: low Keywords: commflag, mythjobqueue
Cc: Ticket locked: no

Description

I offload commflagging to my desktop machine. After running mythjobqueue from a terminal I get the following entry of interest:

2008-04-29 22:07:10.808 DB Error (SetInUse?):
Query was:
INSERT INTO inuseprograms (chanid, starttime, recusage, hostname, lastupdatetime, rechost, recdir ) VALUES ('1501', '2008-04-28T22:00:00', 'flagger', 'hobbes.localdomain', '2008-04-29T22:07:10', 'calvin.localdomain', NULL);
Driver error was [2/1048]:
QMYSQL3: Unable to execute query
Database error was:
Column 'recdir' cannot be null

System info: Fedora 8 x86_64 (both systems) MBE detected by uPNP

Attachments (2)

mythjobqueue.log (2.3 KB) - added by hobbes1069@… 12 years ago.
Full log of mythjobqueue
streaming_commflag_fix.diff (532 bytes) - added by Shane Shrybman 11 years ago.

Download all attachments as: .zip

Change History (12)

comment:1 Changed 12 years ago by michael bishop <clever@…>

I've never used mythjobqueue but i just run slave mythbackend's for my flagging boxes and it works like id expect it to work

comment:2 Changed 12 years ago by hobbes1069@…

In that case I believe you're using mythjobqueue but mythbackend is running it for you. I don't have any tuners in my desktop so I don't need to run the full backend. I'm just offloading commflagging off of my MBE.

The commflagging might even be working, I just wanted to report the error.

Richard

comment:3 Changed 12 years ago by hobbes1069@…

I just checked several of my recording which indicate that commflagging has run on and none had any commercials detected. I know that I have had commercials detected when run from the MBE so the DB error I'm reporting could be the cause...

Richard

Changed 12 years ago by hobbes1069@…

Attachment: mythjobqueue.log added

Full log of mythjobqueue

comment:4 Changed 11 years ago by Shane Shrybman

Owner: changed from Isaac Richards to Shane Shrybman
Status: newaccepted

I can reproduce this here and will look into it.

comment:5 Changed 11 years ago by Shane Shrybman

Severity: mediumlow

Hi Richard,

Please try the attached patch, it should resolve the DB error.

To apply the patch from the myth src dir use:

patch -p1 < streaming_commflag_fix.diff

BTW: This error only occurs when the storage is not mounted locally to the commflagger.

Changed 11 years ago by Shane Shrybman

Attachment: streaming_commflag_fix.diff added

comment:6 Changed 11 years ago by hobbes0169@…

I haven't been compiling from source but rather using the rpms from atrpms. If this will find it's way into 0.21-fixes pretty quickly I can wait, otherwise I may try compiling from source this weekend.

comment:7 in reply to:  6 Changed 11 years ago by Shane Shrybman

Type: defectpatch

Ahh, OK. If it is just the DB error in the logs I wouldn't bother recompiling. The error isn't very significant. However, if commercial flagging is actually broken, it is probably worth it to find out what the problem is.

comment:8 Changed 11 years ago by hobbes1069@…

I will double check since it's been a while, but I believe it was actually broken, at least if I remember correctly recordings commflagged on my slave BE did not show the $ icon in the recordings menu.

My workaround was the schedule commflagging only between 12am and 6am. In reality (for me) it doesn't matter as the commflagging doesn't appear to flag any commercials for me even when run on the MBE. I'm doing ATSC only with a HDHomerun.

comment:9 Changed 11 years ago by TheBitPit

After running mythtv 6 hours a day for about a month and a half I got a crash after seeing the bug reported here. I use ATSC only. I was watching a the KVUE news at 10PM (22:00) being flagged about 10 minutes behind real time. There was still 5 minutes to go as the news ends at 22:35. I can not reproduce it. I often watch shows while they are recording and being flagged without any problems. Sometimes the commercials are skipped, sometimes I have to skip manually.

One system runs Linux-2.6.26-gentoo-r3 configured for 64 bit processor and mythtv-0.21_p18314-r1. Duo-Core Intel 64 bit processor, 1 GB memory, 250 GB disk, ATI Radeon 3450 graphics (no tuners). Master mythbackend, mysql database, mythfrontend run here.

Other system 32 bit Intel processor, 500 MB memory, 2 Fusion HDTV tuners 200 GB disk Slave mythbackend runs here.

Tuner cards are not compatible with bus on first system so I use two boxes connected with ethernet.

Mythfrontend video and sound froze. I restarted master mythbackend and everything recovered. The new information I have is that mythbackend actually crashed. Here is what I hope is the relevant part of the log.

2008-12-02 22:00:26.898 Preview: Grabbed preview '/vault1/video/1241_20081202210100.mpg' 1920x1088@64s
2008-12-02 22:00:33.024 AutoExpire: CalcParams(): Max required Free Space: 3.0 GB w/freq: 15 min
2008-12-02 22:00:48.170 JobQueue: Commercial Flagging Starting for KVUE News recorded from channel 1241 at Tue Dec 2 22:00:00 2008
2008-12-02 22:00:48.243 Using runtime prefix = /usr
2008-12-02 22:00:48.251 Empty LocalHostName.
2008-12-02 22:00:48.251 Using localhost value of drum
2008-12-02 22:00:48.260 New DB connection, total: 1
2008-12-02 22:00:48.264 Connected to database 'mythconverg' at host: drum
2008-12-02 22:00:48.271 Closing DB connection named 'DBManager0'
2008-12-02 22:00:48.275 Connected to database 'mythconverg' at host: drum
2008-12-02 22:00:48.279 New DB connection, total: 2
2008-12-02 22:00:48.280 Connected to database 'mythconverg' at host: drum
2008-12-02 22:00:48.293 Connecting to backend server: 192.168.1.4:6543 (try 1 of 5)
2008-12-02 22:00:48.295 Using protocol version 40
2008-12-02 22:00:48.301 MainServer::HandleAnnounce Monitor
2008-12-02 22:00:48.303 adding: drum as a client (events: 0)
2008-12-02 22:00:48.307 MainServer::HandleAnnounce Monitor
2008-12-02 22:00:48.311 adding: drum as a client (events: 1)
2008-12-02 22:00:48.438 DB Error (SetInUse):
Query was:
INSERT INTO inuseprograms  (chanid, starttime, recusage, hostname, lastupdatetime,  rechost, recdir )  VALUES  ('1241', '2008-12-02T22:00:00', 'flagger', 'drum', '2008-12-02T22:00:48',  'tv', NULL);
Driver error was [2/1048]:
QMYSQL3: Unable to execute query
Database error was:
Column 'recdir' cannot be null

2008-12-02 22:00:48.683 AFD: Opened codec 0x823c310, id(MPEG2VIDEO) type(Video)
2008-12-02 22:00:48.684 AFD: codec AC3 has 6 channels
2008-12-02 22:00:48.686 AFD: Opened codec 0x823c900, id(AC3) type(Audio)
2008-12-02 22:01:08.179 Reschedule requested for id -1.
2008-12-02 22:01:08.245 Scheduled 92 items in 0.1 = 0.03 match + 0.03 place
2008-12-02 22:04:25.318 UPnpMedia: BuildMediaMap VIDEO scan starting in :/share/Movies/dvd:
2008-12-02 22:04:25.319 UPnpMedia: BuildMediaMap Done. Found 0 objects
2008-12-02 22:07:53.360 Reschedule requested for id -1.
2008-12-02 22:07:53.493 Scheduled 92 items in 0.1 = 0.07 match + 0.06 place
2008-12-02 22:15:33.166 AutoExpire: CalcParams(): Max required Free Space: 3.0 GB w/freq: 15 min
2008-12-02 22:15:49.007 DB Error (SetInUse):
Query was:
INSERT INTO inuseprograms  (chanid, starttime, recusage, hostname, lastupdatetime,  rechost, recdir )  VALUES  ('1241', '2008-12-02T22:00:00', 'flagger', 'drum', '2008-12-02T22:15:49',  'tv', NULL);
Driver error was [2/1048]:
QMYSQL3: Unable to execute query
Database error was:
Column 'recdir' cannot be null

2008-12-02 22:17:29.416 Reschedule requested for id -1.
2008-12-02 22:17:29.558 Scheduled 92 items in 0.1 = 0.06 match + 0.08 place
2008-12-02 22:22:39.833 Reschedule requested for id -1.
2008-12-02 22:22:39.939 Scheduled 92 items in 0.1 = 0.05 match + 0.06 place
2008-12-02 22:27:48.390 Reschedule requested for id -1.
2008-12-02 22:27:48.515 Scheduled 92 items in 0.1 = 0.08 match + 0.04 place
2008-12-02 22:30:33.463 AutoExpire: CalcParams(): Max required Free Space: 3.0 GB w/freq: 15 min
2008-12-02 22:30:50.023 DB Error (SetInUse):
Query was:
INSERT INTO inuseprograms  (chanid, starttime, recusage, hostname, lastupdatetime,  rechost, recdir )  VALUES  ('1241', '2008-12-02T22:00:00', 'flagger', 'drum', '2008-12-02T22:30:50',  'tv', NULL);
Driver error was [2/1048]:
QMYSQL3: Unable to execute query
Database error was:
Column 'recdir' cannot be null

*** glibc detected *** /usr/bin/mythbackend: malloc(): memory corruption (fast): 0x082de1a7 ***
======= Backtrace: =========
/lib/libc.so.6[0xb5bf8a00]
/lib/libc.so.6[0xb5bfb0ec]
/lib/libc.so.6(__libc_malloc+0x7e)[0xb5bfc30e]
/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libstdc++.so.6(_Znwj+0x29)[0xb5dab6d9]
/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libstdc++.so.6(_Znaj+0x1d)[0xb5dab80d]
/usr/qt/3/lib/libqt-mt.so.3(_ZN7QStringC1Eib+0x52)[0xb655d1f2]
/usr/qt/3/lib/libqt-mt.so.3(_ZNK7QString3midEjj+0xa1)[0xb6562d31]
/usr/qt/3/lib/libqt-mt.so.3(_ZN11QStringList5splitERK7QStringS2_b+0x14b)[0xb6571c6b]
/usr/lib/libmyth-0.21.so.0(_ZN10MythSocket14readStringListER11QStringListb+0x205b)[0xb6af72fb]
/lib/libc.so.6(__libc_malloc+0x7e)[0xb5bfc30e]
======= Memory map: ========
08048000-08186000 r-xp 00000000 08:13 2447871    /usr/bin/mythbackend
08186000-08187000 r--p 0013d000 08:13 2447871    /usr/bin/mythbackend
08187000-08188000 rw-p 0013e000 08:13 2447871    /usr/bin/mythbackend
08188000-08345000 rw-p 08188000 00:00 0          [heap]
ad3f4000-ad3f5000 ---p ad3f4000 00:00 0
ad3f5000-adbf5000 rw-p ad3f5000 00:00 0
adbf5000-adbf6000 ---p adbf5000 00:00 0
adbf6000-ae3f6000 rw-p adbf6000 00:00 0
ae3f6000-ae3f7000 ---p ae3f6000 00:00 0
ae3f7000-aebf7000 rw-p ae3f7000 00:00 0
aebf7000-aebf8000 ---p aebf7000 00:00 0
aebf8000-af3f8000 rw-p aebf8000 00:00 0
af3f8000-af3f9000 ---p af3f8000 00:00 0
af3f9000-afbf9000 rw-p af3f9000 00:00 0
afbf9000-afbfa000 ---p afbf9000 00:00 0
afbfa000-b03fa000 rw-p afbfa000 00:00 0
b03fa000-b03fb000 ---p b03fa000 00:00 0
b03fb000-b0bfb000 rw-p b03fb000 00:00 0
b0bfb000-b0bfc000 ---p b0bfb000 00:00 0
b0bfc000-b13fc000 rw-p b0bfc000 00:00 0
b13fc000-b13fd000 ---p b13fc000 00:00 0
b13fd000-b1bfd000 rw-p b13fd000 00:00 0
b1bfd000-b1bfe000 ---p b1bfd000 00:00 0
b1bfe000-b23fe000 rw-p b1bfe000 00:00 0
b23fe000-b23ff000 ---p b23fe000 00:00 0
b23ff000-b2bff000 rw-p b23ff000 00:00 0
b2bff000-b2c00000 ---p b2bff000 00:00 0
b2c00000-b34bd000 rw-p b2c00000 00:00 0
b34bd000-b3500000 ---p b34bd000 00:00 0
b3545000-b3546000 ---p b3545000 00:00 0
b3546000-b3d46000 rw-p b3546000 00:00 0
b3d46000-b3d47000 ---p b3d46000 00:00 0
b3d47000-b4547000 rw-p b3d47000 00:00 0
b4547000-b4548000 ---p b4547000 00:00 0
b4548000-b4d48000 rw-p b4548000 00:00 0
b4d48000-b4d49000 ---p b4d48000 00:00 0
b4d49000-b5549000 rw-p b4d49000 00:00 0
b5549000-b5551000 r-xp 00000000 08:13 332736     /lib/libnss_files-2.6.1.so
b5551000-b5552000 r--p 00007000 08:13 332736     /lib/libnss_files-2.6.1.so
b5552000-b5553000 rw-p 00008000 08:13 332736     /lib/libnss_files-2.6.1.so
b5553000-b555a000 r-xp 00000000 08:13 1712800    /usr/lib/libkrb5support.so.0.1
b555a000-b555b000 r--p 00006000 08:13 1712800    /usr/lib/libkrb5support.so.0.1
b555b000-b555c000 rw-p 00007000 08:13 1712800    /usr/lib/libkrb5support.so.0.1
b555c000-b556a000 r-xp 00000000 08:13 332726     /lib/libresolv-2.6.1.so
b556a000-b556b000 r--p 0000e000 08:13 332726     /lib/libresolv-2.6.1.so
b556b000-b556c000 rw-p 0000f000 08:13 332726     /lib/libresolv-2.6.1.so
b556c000-b556e000 rw-p b556c000 00:00 0
b556e000-b5593000 r-xp 00000000 08:13 1712812    /usr/lib/libk5crypto.so.3.1
b5593000-b5594000 r--p 00024000 08:13 1712812    /usr/lib/libk5crypto.so.3.1
b5594000-b5595000 rw-p 00025000 08:13 1712812    /usr/lib/libk5crypto.so.3.1
b5595000-b5620000 r-xp 00000000 08:13 1712815    /usr/lib/libkrb5.so.3.3
b5620000-b5622000 r--p 0008a000 08:13 1712815    /usr/lib/libkrb5.so.3.3
b5622000-b5623000 rw-p 0008c000 08:13 1712815    /usr/lib/libkrb5.so.3.3
b5623000-b564b000 r-xp 00000000 08:13 1712821    /usr/lib/libgssapi_krb5.so.2.2
b564b000-b564c000 r--p 00027000 08:13 1712821    /usr/lib/libgssapi_krb5.so.2.2
b564c000-b564d000 rw-p 00028000 08:13 1712821    /usr/lib/libgssapi_krb5.so.2.2
b564d000-b577a000 r-xp 00000000 08:13 2451537    /usr/lib/libcrypto.so.0.9.8
b577a000-b5782000 r--p 0012d000 08:13 2451537    /usr/lib/libcrypto.so.0.9.8
b5782000-b5790000 rw-p 00135000 08:13 2451537    /usr/lib/libcrypto.so.0.9.8
b5790000-b5793000 rw-p b5790000 00:00 0
b5793000-b57d8000 r-xp 00000000 08:13 2451540    /usr/lib/libssl.so.0.9.8
b57d8000-b57d9000 r--p 00045000 08:13 2451540    /usr/lib/libssl.so.0.9.8
b57d9000-b57dc000 rw-p 00046000 08:13 2451540    /usr/lib/libssl.so.0.9.8
b57dc000-b57ef000 r-xp 00000000 08:13 332876     /lib/libnsl-2.6.1.so
b57ef000-b57f0000 r--p 00012000 08:13 332876     /lib/libnsl-2.6.1.so
b57f0000-b57f1000 rw-p 00013000 08:13 332876     /lib/libnsl-2.6.1.so
b57f1000-b57f3000 rw-p b57f1000 00:00 0
b57f3000-b57f8000 r-xp 00000000 08:13 332707     /lib/libcrypt-2.6.1.so
b57f8000-b57f9000 r--p 00004000 08:13 332707     /lib/libcrypt-2.6.1.so
b57f9000-b57fa000 rw-p 00005000 08:13 332707     /lib/libcrypt-2.6.1.so
b57fa000-b5821000 rw-p b57fa000 00:00 0
b5821000-b593b000 r-xp 00000000 08:13 2471256    /usr/lib/mysql/libmysqlclient.so.15.0.0
b593b000-b593d000 r--p 00119000 08:13 2471256    /usr/lib/mysql/libmysqlclient.so.15.0.0
b593d000-b597e000 rw-p 0011b000 08:13 2471256    /usr/lib/mysql/libmysqlclient.so.15.0.0
b597e000-b597f000 rw-p b597e000 00:00 0
b5993000-b5996000 rw-p b5993000 00:00 0
b5996000-b59b4000 r-xp 00000000 08:13 17708      /usr/lib/libexpat.so.1.5.2
b59b4000-b59b6000 r--p 0001d000 08:13 17708      /usr/lib/libexpat.so.1.5.2
b59b6000-b59b7000 rw-p 0001f000 08:13 17708      /usr/lib/libexpat.so.1.5.2
b59b7000-b59bb000 r-xp 00000000 08:13 222366     /usr/lib/libXfixes.so.3.1.0
b59bb000-b59bc000 r--p 00003000 08:13 222366     /usr/lib/libXfixes.so.3.1.0
b59bc000-b59bd000 rw-p 00004000 08:13 222366     /usr/lib/libXfixes.so.3.1.0
b59bd000-b59be000 rw-p b59bd000 00:00 0
b59be000-b59c2000 r-xp 00000000 08:13 220527     /usr/lib/libXdmcp.so.6.0.0
b59c2000-b59c3000 r--p 00003000 08:13 220527     /usr/lib/libXdmcp.so.6.0.0
b59c3000-b59c4000 rw-p 00004000 08:13 220527     /usr/lib/libXdmcp.so.6.0.0
b59c4000-b59c6000 r-xp 00000000 08:13 1464593    /usr/lib/libXau.so.6.0.0
b59c6000-b59c7000 r--p 00001000 08:13 1464593    /usr/lib/libXau.so.6.0.0
b59c7000-b59c8000 rw-p 00002000 08:13 1464593    /usr/lib/libXau.so.6.0.0
b59c8000-b5a15000 r-xp 00000000 08:13 257801     /usr/lib/libXt.so.6.0.0
b5a15000-b5a16000 r--p 0004d000 08:13 257801     /usr/lib/libXt.so.6.0.0
b5a16000-b5a19000 rw-p 0004e000 08:13 257801     /usr/lib/libXt.so.6.0.0
b5a19000-b5a2e000 r-xp 00000000 08:13 219082     /usr/lib/libICE.so.6.3.0
b5a2e000-b5a2f000 r--p 00014000 08:13 219082     /usr/lib/libICE.so.6.3.0
b5a2f000-b5a30000 rw-p 00015000 08:13 219082     /usr/lib/libICE.so.6.3.0
b5a30000-b5a32000 rw-p b5a30000 00:00 0
b5a32000-b5a39000 r-xp 00000000 08:13 222384     /usr/lib/libSM.so.6.0.0
b5a39000-b5a3a000 r--p 00006000 08:13 222384     /usr/lib/libSM.so.6.0.0
b5a3a000-b5a3b000 rw-p 00007000 08:13 222384     /usr/lib/libSM.so.6.0.0
b5a3b000-b5a3c000 rw-p b5a3b000 00:00 0
b5a3c000-b5a65000 r-xp 00000000 08:13 349546     /usr/lib/libfontconfig.so.1.3.0
b5a65000-b5a66000 r--p 00029000 08:13 349546     /usr/lib/libfontconfig.so.1.3.0
b5a66000-b5a67000 rw-p 0002a000 08:13 349546     /usr/lib/libfontconfig.so.1.3.0
b5a67000-b5a78000 r-xp 00000000 08:13 259491     /usr/lib/libXft.so.2.1.2
b5a78000-b5a79000 r--p 00011000 08:13 259491     /usr/lib/libXft.so.2.1.2
b5a79000-b5a7a000 rw-p 00012000 08:13 259491     /usr/lib/libXft.so.2.1.2
b5a7a000-b5a82000 r-xp 00000000 08:13 257533     /usr/lib/libXcursor.so.1.0.2
b5a82000-b5a83000 r--p 00007000 08:13 257533     /usr/lib/libXcursor.so.1.0.2
b5a83000-b5a84000 rw-p 00008000 08:13 257533     /usr/lib/libXcursor.so.1.0.2
b5a84000-b5a8b000 r-xp 00000000 08:13 258182     /usr/lib/libXi.so.6.0.0
b5a8b000-b5a8c000 r--p 00006000 08:13 258182     /usr/lib/libXi.so.6.0.0
b5a8c000-b5a8d000 rw-p 00007000 08:13 258182     /usr/lib/libXi.so.6.0.0
b5a8d000-b5ab0000 r-xp 00000000 08:13 2452894    /usr/lib/libpng12.so.0.33.0
b5ab0000-b5ab1000 r--p 00022000 08:13 2452894    /usr/lib/libpng12.so.0.33.0
b5ab1000-b5ab2000 rw-p 00023000 08:13 2452894    /usr/lib/libpng12.so.0.33.0
b5ab2000-b5ad0000 r-xp 00000000 08:13 208430     /usr/lib/libjpeg.so.62.0.0
b5ad0000-b5ad1000 r--p 0001e000 08:13 208430     /usr/lib/libjpeg.so.62.0.0
b5ad1000-b5ad2000 rw-p 0001f000 08:13 208430     /usr/lib/libjpeg.so.62.0.0
b5ad2000-b5ad3000 rw-p b5ad2000 00:00 0
b5ad3000-b5b31000 r-xp 00000000 08:13 366798     /usr/lib/libmng.so.1.0.0
b5b31000-b5b34000 r--p 0005d000 08:13 366798     /usr/lib/libmng.so.1.0.0
b5b34000-b5b35000 rw-p 00060000 08:13 366798     /usr/lib/libmng.so.1.0.0
b5b35000-b5b3c000 r-xp 00000000 08:13 1568309    /usr/lib/libXrender.so.1.3.0
b5b3c000-b5b3d000 r--p 00006000 08:13 1568309    /usr/lib/libXrender.so.1.3.0
b5b3d000-b5b3e000 rw-p 00007000 08:13 1568309    /usr/lib/libXrender.so.1.3.0
b5b3e000-b5b45000 r-xp 00000000 08:13 332743     /lib/librt-2.6.1.so
b5b45000-b5b46000 r--p 00006000 08:13 332743     /lib/librt-2.6.1.so
b5b46000-b5b47000 rw-p 00007000 08:13 332743     /lib/librt-2.6.1.so
b5b47000-b5b4c000 r-xp 00000000 08:13 1679986    /usr/lib/liblirc_client.so.0.2.0
b5b4c000-b5b4d000 r--p 00004000 08:13 1679986    /usr/lib/liblirc_client.so.0.2.0
b5b4d000-b5b4e000 rw-p 00005000 08:13 1679986    /usr/lib/liblirc_client.so.0.2.0
b5b4e000-b5b4f000 rw-p b5b4e000 00:00 0
b5b4f000-b5b51000 r-xp 00000000 08:13 332292     /lib/libdl-2.6.1.so
b5b51000-b5b52000 r--p 00001000 08:13 332292     /lib/libdl-2.6.1.so
b5b52000-b5b53000 rw-p 00002000 08:13 332292     /lib/libdl-2.6.1.so
b5b53000-b5b8f000 r-xp 00000000 08:13 1627749    /usr/lib/libfaad.so.1.0.0
b5b8f000-b5b90000 r--p 0003c000 08:13 1627749    /usr/lib/libfaad.so.1.0.0
b5b90000-b5b93000 rw-p 0003d000 08:13 1627749    /usr/lib/libfaad.so.1.0.0
b5b93000-b5cbd000 r-xp 00000000 08:13 331452     /lib/libc-2.6.1.so
b5cbd000-b5cbf000 r--p 0012a000 08:13 331452     /lib/libc-2.6.1.so
b5cbf000-b5cc0000 rw-p 0012c000 08:13 331452     /lib/libc-2.6.1.so
b5cc0000-b5cc3000 rw-p b5cc0000 00:00 0
b5cc3000-b5ccd000 r-xp 00000000 08:13 1006187    /usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libgcc_s.so.1
b5ccd000-b5cce000 r--p 00009000 08:13 1006187    /usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libgcc_s.so.1
b5cce000-b5ccf000 rw-p 0000a000 08:13 1006187    /usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libgcc_s.so.1
b5ccf000-b5cd0000 rw-p b5ccf000 00:00 0
b5cd0000-b5cf4000 r-xp 00000000 08:13 332240     /lib/libm-2.6.1.so
b5cf4000-b5cf5000 r--p 00023000 08:13 332240     /lib/libm-2.6.1.so
b5cf5000-b5cf6000 rw-p 00024000 08:13 332240     /lib/libm-2.6.1.so
b5cf6000-b5dd4000 r-xp 00000000 08:13 1006959    /usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libstdc++.so.6.0.8
b5dd4000-b5dd8000 r--p 000dd000 08:13 1006959    /usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libstdc++.so.6.0.8
b5dd8000-b5dd9000 rw-p 000e1000 08:13 1006959    /usr/lib/gcc/i686-pc-linux-gnu/4.1.2/libstdc++.so.6.0.8
b5dd9000-b5ddf000 rw-p b5dd9000 00:00 0
b5ddf000-b5df2000 r-xp 00000000 08:13 332715     /lib/libpthread-2.6.1.so
b5df2000-b5df3000 r--p 00013000 08:13 332715     /lib/libpthread-2.6.1.so
b5df3000-b5df4000 rw-p 00014000 08:13 332715     /lib/libpthread-2.6.1.so
b5df4000-b5df6000 rw-p b5df4000 00:00 0
b5df6000-b5ee0000 r-xp 00000000 08:13 2460658    /usr/lib/libX11.so.6.2.0
b5ee0000-b5ee1000 r--p 000ea000 08:13 2460658    /usr/lib/libX11.so.6.2.0
b5ee1000-b5ee4000 rw-p 000eb000 08:13 2460658    /usr/lib/libX11.so.6.2.0
b5ee4000-b5ef1000 r-xp 00000000 08:13 1698532    /usr/lib/libXext.so.6.4.0
b5ef1000-b5ef2000 r--p 0000c000 08:13 1698532    /usr/lib/libXext.so.6.4.0
b5ef2000-b5ef3000 rw-p 0000d000 08:13 1698532    /usr/lib/libXext.so.6.4.0
b5ef3000-b5f08000 r-xp 00000000 08:13 257637     /usr/lib/libXmu.so.6.2.0
b5f08000-b5f09000 r--p 00014000 08:13 257637     /usr/lib/libXmu.so.6.2.0
b5f09000-b5f0a000 rw-p 00015000 08:13 257637     /usr/lib/libXmu.so.6.2.0
b5f0a000-b5f0b000 rw-p b5f0a000 00:00 0
b5f0b000-b5f81000 r-xp 00000000 08:13 2460562    /usr/lib/opengl/ati/lib/libGL.so.1.2
b5f81000-b5f83000 rw-p 00075000 08:13 2460562    /usr/lib/opengl/ati/lib/libGL.so.1.2
b5f83000-b5f87000 rw-p b5f83000 00:00 0
b5f87000-b6006000 r-xp 00000000 08:13 2456978    /usr/lib/libGLU.so.1.3.060502
b6006000-b6007000 r--p 0007f000 08:13 2456978    /usr/lib/libGLU.so.1.3.060502
b6007000-b6008000 rw-p 00080000 08:13 2456978    /usr/lib/libGLU.so.1.3.060502
b6008000-b66b5000 r-xp 00000000 08:13 1022482    /usr/qt/3/lib/libqt-mt.so.3.3.8
b66b5000-b66ed000 r--p 006ad000 08:13 1022482    /usr/qt/3/lib/libqt-mt.so.3.3.8
b66ed000-b66f6000 rw-p 006e5000 08:13 1022482    /usr/qt/3/lib/libqt-mt.so.3.3.8
b66f6000-b66f9000 rw-p b66f6000 00:00 0
b66f9000-b66fc000 r-xp 00000000 08:13 15736      /usr/lib/libXvMC.so.1.0.0
b66fc000-b66fd000 r--p 00002000 08:13 15736      /usr/lib/libXvMC.so.1.0.0
b66fd000-b66fe000 rw-p 00003000 08:13 15736      /usr/lib/libXvMC.so.1.0.0
b66fe000-b6702000 r-xp 00000000 08:13 15740      /usr/lib/libXvMCW.so.1.0.0
b6702000-b6703000 r--p 00003000 08:13 15740      /usr/lib/libXvMCW.so.1.0.0
b6703000-b6704000 rw-p 00004000 08:13 15740      /usr/lib/libXvMCW.so.1.0.0
b6704000-b670a000 r-xp 00000000 08:13 258520     /usr/lib/libXrandr.so.2.1.0
b670a000-b670b000 r--p 00005000 08:13 258520     /usr/lib/libXrandr.so.2.1.0
b670b000-b670c000 rw-p 00006000 08:13 258520     /usr/lib/libXrandr.so.2.1.0
b670c000-b670d000 rw-p b670c000 00:00 0
b670d000-b6711000 r-xp 00000000 08:13 1464717    /usr/lib/libXxf86vm.so.1.0.0
b6711000-b6712000 r--p 00003000 08:13 1464717    /usr/lib/libXxf86vm.so.1.0.0
b6712000-b6713000 rw-p 00004000 08:13 1464717    /usr/lib/libXxf86vm.so.1.0.0
b6713000-b6717000 r-xp 00000000 08:13 258838     /usr/lib/libXv.so.1.0.0
b6717000-b6718000 r--p 00003000 08:13 258838     /usr/lib/libXv.so.1.0.0
b6718000-b6719000 rw-p 00004000 08:13 258838     /usr/lib/libXv.so.1.0.0
b6719000-b671b000 r-xp 00000000 08:13 257473     /usr/lib/libXinerama.so.1.0.0
b671b000-b671c000 r--p 00001000 08:13 257473     /usr/lib/libXinerama.so.1.0.0
b671c000-b671d000 rw-p 00002000 08:13 257473     /usr/lib/libXinerama.so.1.0.0
b671d000-b672c000 r-xp 00000000 08:13 1130062    /usr/lib/libjack.so.0.0.23
b672c000-b672d000 r--p 0000e000 08:13 1130062    /usr/lib/libjack.so.0.0.23
b672d000-b672f000 rw-p 0000f000 08:13 1130062    /usr/lib/libjack.so.0.0.23
b672f000-b6737000 rw-p b672f000 00:00 0
b6737000-b67e5000 r-xp 00000000 08:13 926854     /usr/lib/libasound.so.2.0.0
b67e5000-b67e7000 r--p 000ad000 08:13 926854     /usr/lib/libasound.so.2.0.0
b67e7000-b67ea000 rw-p 000af000 08:13 926854     /usr/lib/libasound.so.2.0.0
b67ea000-b682c000 r-xp 00000000 08:13 1686789    /usr/lib/libmp3lame.so.0.0.0
b682c000-b682d000 r--p 00042000 08:13 1686789    /usr/lib/libmp3lame.so.0.0.0
b682d000-b682f000 rw-p 00043000 08:13 1686789    /usr/lib/libmp3lame.so.0.0.0
b682f000-b6861000 rw-p b682f000 00:00 0
b6861000-b6872000 r-xp 00000000 08:13 29555      /lib/libz.so.1.2.3
b6872000-b6873000 r--p 00010000 08:13 29555      /lib/libz.so.1.2.3
b6873000-b6874000 rw-p 00011000 08:13 29555      /lib/libz.so.1.2.3
b6874000-b68f0000 r-xp 00000000 08:13 1007854    /usr/lib/libfreetype.so.6.3.18
b68f0000-b68f4000 r--p 0007b000 08:13 1007854    /usr/lib/libfreetype.so.6.3.18
b68f4000-b68f5000 rw-p 0007f000 08:13 1007854    /usr/lib/libfreetype.so.6.3.18
b68f5000-b698c000 r-xp 00000000 08:13 2447695    /usr/lib/libmythui-0.21.so.0.21.0
b698c000-b698e000 r--p 00096000 08:13 2447695    /usr/lib/libmythui-0.21.so.0.21.0
b698e000-b698f000 rw-p 00098000 08:13 2447695    /usr/lib/libmythui-0.21.so.0.21.0
b698f000-b6ca2000 r-xp 00000000 08:13 2447720    /usr/lib/libmyth-0.21.so.0.21.0
b6ca2000-b6cb0000 r--p 00313000 08:13 2447720    /usr/lib/libmyth-0.21.so.0.21.0
b6cb0000-b6cb3000 rw-p 00321000 08:13 2447720    /usr/lib/libmyth-0.21.so.0.21.0
b6cb3000-b6cb4000 rw-p b6cb3000 00:00 0
b6cb4000-b6d6c000 r-xp 00000000 08:13 2447813    /usr/lib/libmythlivemedia-0.21.so.0.21.0
b6d6c000-b6d71000 r--p 000b7000 08:13 2447813    /usr/lib/libmythlivemedia-0.21.so.0.21.0
b6d71000-b6d77000 rw-p 000bc000 08:13 2447813    /usr/lib/libmythlivemedia-0.21.so.0.21.0
b6d77000-b6d85000 rw-p b6d77000 00:00 0
b6d85000-b6e2c000 r-xp 00000000 08:13 2447661    /usr/lib/libmythupnp-0.21.so.0.21.0
b6e2c000-b6e2e000 r--p 000a7000 08:13 2447661    /usr/lib/libmythupnp-0.21.so.0.21.0
b6e2e000-b6e2f000 rw-p 000a9000 08:13 2447661    /usr/lib/libmythupnp-0.21.so.0.21.0
b6e2f000-b6e30000 rw-p b6e2f000 00:00 0
b6e30000-b6eab000 r-xp 00000000 08:13 2447809    /usr/lib/libmythfreemheg-0.21.so.0.21.0
b6eab000-b6eb1000 r--p 0007b000 08:13 2447809    /usr/lib/libmythfreemheg-0.21.so.0.21.0
b6eb1000-b6eb2000 rw-p 00081000 08:13 2447809    /usr/lib/libmythfreemheg-0.21.so.0.21.0
b6eb2000-b72e1000 r-xp 00000000 08:13 2447631    /usr/lib/libmythavcodec-0.21.so.0.21.0
b72e1000-b72e2000 r--p 0042e000 08:13 2447631    /usr/lib/libmythavcodec-0.21.so.0.21.0
b72e2000-b72e8000 rw-p 0042f000 08:13 2447631    /usr/lib/libmythavcodec-0.21.so.0.21.0
b72e8000-b73df000 rw-p b72e8000 00:00 0
b73df000-b73eb000 r-xp 00000000 08:13 2447600    /usr/lib/libmythavutil-0.21.so.0.21.0
b73eb000-b73ec000 r--p 0000b000 08:13 2447600    /usr/lib/libmythavutil-0.21.so.0.21.0
b73ec000-b73ed000 rw-p 0000c000 08:13 2447600    /usr/lib/libmythavutil-0.21.so.0.21.0
b73ed000-b73ef000 rw-p b73ed000 00:00 0
b73ef000-b747d000 r-xp 00000000 08:13 2447638    /usr/lib/libmythavformat-0.21.so.0.21.0
b747d000-b747f000 r--p 0008d000 08:13 2447638    /usr/lib/libmythavformat-0.21.so.0.21.0
b747f000-b7485000 rw-p 0008f000 08:13 2447638    /usr/lib/libmythavformat-0.21.so.0.21.0
b7485000-b7489000 rw-p b7485000 00:00 0
b7489000-b7ee5000 r-xp 00000000 08:13 2447817    /usr/lib/libmythtv-0.21.so.0.21.0
b7ee5000-b7f01000 r--p 00a5b000 08:13 2447817    /usr/lib/libmythtv-0.21.so.0.21.0
b7f01000-b7f1a000 rw-p 00a77000 08:13 2447817    /usr/lib/libmythtv-0.21.so.0.21.0
b7f1a000-b7f1f000 rw-p b7f1a000 00:00 0
b7f22000-b7f24000 r-xp 00000000 08:13 262565     /lib/libcom_err.so.2.1
b7f24000-b7f25000 r--p 00001000 08:13 262565     /lib/libcom_err.so.2.1
b7f25000-b7f26000 rw-p 00002000 08:13 262565     /lib/libcom_err.so.2.1
b7f26000-b7f30000 r-xp 00000000 08:13 1022496    /usr/qt/3/plugins/sqldrivers/libqsqlmysql.so
b7f30000-b7f31000 r--p 0000a000 08:13 1022496    /usr/qt/3/plugins/sqldrivers/libqsqlmysql.so
b7f31000-b7f32000 rw-p 0000b000 08:13 1022496    /usr/qt/3/plugins/sqldrivers/libqsqlmysql.so
b7f32000-b7f33000 rw-p b7f32000 00:00 0
b7f33000-b7f34000 r-xp b7f33000 00:00 0          [vdso]
b7f34000-b7f4e000 r-xp 00000000 08:13 332914     /lib/ld-2.6.1.so
b7f4e000-b7f4f000 r--p 00019000 08:13 332914     /lib/ld-2.6.1.so
b7f4f000-b7f50000 rw-p 0001a000 08:13 332914     /lib/ld-2.6.1.so
bfe39000-bfe50000 rw-p bffe9000 00:00 0          [stack]
2008-12-02 22:31:49.309 Event socket closed. No connection to the backend.
2008-12-02 22:31:58.760 Connecting to backend server: 192.168.1.4:6543 (try 1 of 5)
2008-12-02 22:31:58.761 Trying to wake up the MasterBackend now.

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

Password:
2008-12-02 22:32:01.010 Waiting for 30 seconds until I try to reconnect again.
2008-12-02 22:32:31.011 Connecting to backend server: 192.168.1.4:6543 (try 2 of 5)
2008-12-02 22:32:31.013 Trying to wake up the MasterBackend now.

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

Password:
2008-12-02 22:32:33.027 Waiting for 30 seconds until I try to reconnect again.
2008-12-02 22:33:03.028 Connecting to backend server: 192.168.1.4:6543 (try 3 of 5)
2008-12-02 22:33:03.029 Trying to wake up the MasterBackend now.

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

Password:
2008-12-02 22:33:05.103 Waiting for 30 seconds until I try to reconnect again.
2008-12-02 22:33:35.104 Connecting to backend server: 192.168.1.4:6543 (try 4 of 5)
2008-12-02 22:33:35.105 Trying to wake up the MasterBackend now.

comment:10 Changed 11 years ago by cpinkham

Resolution: fixed
Status: acceptedclosed

(In [19694]) Don't try to set recDir using 'pathname.section("/"' if pathname doesn't start with a "/". This should fix the "Column 'recdir' cannot be null" DB errors/warnings when the recording file is not local.

Closes #5274.

Note: See TracTickets for help on using tickets.